APS Installer Error

Discussion in 'Installation/Configuration' started by scorpious, Jun 2, 2013.

  1. scorpious

    scorpious Member

    Hi all

    Over the weekend we got a dedicated server and installed The Perfect Server - Debian Squeeze (Debian 6.0) With BIND & Courier [ISPConfig 3]
    everything works fine expect one thing.

    The APS Install

    When I click on Update Packagelist I get the flash circle going around and it stays there for ages, I mean over an hours, just going around. A few times it as stopped and I have seen String could not be parsed as XML

    I have checked in the system log and there are loads of errors.

    2013-06-02 19:26 Error [INTERFACE]: APS crawler: String could not be parsed as XML
    2013-06-02 19:26 Error [INTERFACE]: APS crawler: Cannot read metadata from PostNuke-0.764-4.app.zip
    2013-06-02 19:26 Error [INTERFACE]: APS crawler: Cannot read metadata from UebiMiau-2.7.8-38.app.zip
    2013-06-02 19:26 Error [INTERFACE]: APS crawler: Cannot read metadata from PukiWiki-1.4.7-6.app.zip
    2013-06-02 19:26 Error [INTERFACE]: APS crawler: Cannot read metadata from Xoops Cube Legacy-2.1.4-2.app.zip
    2013-06-02 19:26 Error [INTERFACE]: APS crawler: Cannot read metadata from WebCalendar-1.2.7-1.app.zip
    2013-06-02 19:26 Error [INTERFACE]: APS crawler: String could not be parsed as XML
    2013-06-02 19:21 Error [INTERFACE]: APS crawler: String could not be parsed as XML
    2013-06-02 19:21 Error [INTERFACE]: APS crawler: Cannot read metadata from PostNuke-0.764-4.app.zip

    the above errors are from page 1 and the below errors are from page 24

    2013-06-02 18:13 Error [INTERFACE]: APS crawler: Cannot read metadata from phpWiki-1.4.0rc1-15.app.zip
    2013-06-02 18:13 Error [INTERFACE]: APS crawler: Cannot read metadata from PukiWiki-1.4.7-6.app.zip
    2013-06-02 18:13 Error [INTERFACE]: APS crawler: Cannot read metadata from tikiwiki-10.2-2.app.zip
    2013-06-02 18:13 Error [INTERFACE]: APS crawler: Cannot read metadata from WebCalendar-1.2.7-1.app.zip
    2013-06-02 18:13 Error [INTERFACE]: APS crawler: String could not be parsed as XML

    I have had this running on a test server at home updated fully and running fine before installing to the dedicated server.

    Any Help or advise on how to get this sorted.

    Cheers
    Scorp
     
  2. scorpious

    scorpious Member

    Hi

    Update on the above Problem with APS Installer, it has now updated and showing 157 packages, this is what I done using WinSCP

    I went too the aps_meta_packages folder
    /usr/local/ispconfig/interface/web/sites/aps_meta_packages
    all the packages was listed there, I deleted all of them

    I then went too the dbispconfig database and empyted the table called aps_packages

    I went back too the ISPConfig control panel and clicked on Update Packagelist after a few mins all the packages was listed.

    Will see if they install ok tomorrow.

    Scorp
     
    Last edited: Jun 5, 2013
  3. orasis

    orasis Member

    same here.
    I just did a fresh install on debian wheezy today.
    the directory you mention is indeed full of all packages but I get the same errors.

    Interesting to mention is that it has worked fine previously.

    any help on this appreciated.
     
  4. selcuk

    selcuk New Member

    bump, same issue here
     
  5. Ovidiu

    Ovidiu Active Member

    Thanks scorpious, that saved my bacon and worked for me too!
     
  6. selcuk

    selcuk New Member

    It's the problem of the new install if i use the aps installer script from an older ispconfig server it works perfectly. So each time i update ispconfig i downgrade the aps installer script
     

Share This Page